from setuptools import setup, find_packages
from os.path import abspath
setup(
    name='gai-aio',
    version='0.1',
    author="kakkoii1337",
    author_email="kakkoii1337@gmail.com",
    description = "Universal MultiModal LLM wrapper.",
    packages=find_packages(),
    classifiers=[
        'Programming Language :: Python :: 3',
        'License :: OSI Approved :: MIT License',
        'Operating System :: OS Independent',
    ],
    python_requires='>=3.10',        
    install_requires=[
       "accelerate>=0.24.1", 
       'anthropic==0.3.11',
       "bitsandbytes==0.41.0",
       "einops==0.6.1", 
       "einops-exts==0.0.4", 
       "fastapi",
       "gradio==3.35.2", 
       "gradio_client==0.2.9",
       "httpx==0.24.0", 
       "markdown2[all]", 
       "numpy", 
       'openai==1.6.1',
       "peft>=0.4.0", 
       'protobuf==3.19.6',
       'pydantic==1.10.12',
       'python-dotenv==1.0.0',
       'python-multipart==0.0.6',
       'PyDub==0.25.1',
       'safetensors>=0.3.1',
       "scikit-learn==1.3.0",
       'scipy==1.11.2',
       'sentencepiece==0.1.99',
       "shortuuid",
       'tiktoken==0.4.0',
       "timm>=0.6.13",
       "tokenizers>=0.12.1,<0.14", 
       "torch==2.1.2",
       "torchvision>=0.15.2",
       "transformers==4.33.0", 
       'uvicorn==0.23.2',
       f"auto_gptq @ file://{abspath('prebuilt_wheels/auto_gptq-0.4.1+cu118-cp310-cp310-linux_x86_64.whl')}" ,
       f"exllama @ file://{abspath('prebuilt_wheels/exllama-0.0.11-cp310-cp310-linux_x86_64.whl')}"
    ]
)